FTIME(3)

NAME
ftime - return date and time

SYNOPSIS
#include <sys/timeb.h>

int ftime(struct timeb *tp);

DESCRIPTION
Return current date and time in tp, which is declared as follows:

struct timeb {
    time_t   time;
    unsigned short millitm;
    short    timezone;
    short    dstflag;
};

Here time is the number of seconds since the epoch, millitm is the number of milliseconds since time seconds since the epoch, timezone is the local time zone measured in minutes of time west of Greenwich, and dstflag is a flag that, if non-zero, indicates that Daylight Saving time applies locally during the appropriate part of the year.

These days the contents of the timezone and dstflag fields are undefined.

RETURN VALUE
This function always returns 0.

BUGS
This function is obsolete. Don't use it. If the time in seconds suffices, time(2) can be used; gettimeofday(2) gives microseconds; clock_gettime(3) gives nanoseconds but is not yet widely available.

Under libc4 and libc5 the millitm field is meaningful. But early glibc2 is buggy and returns 0 there; glibc 2.1.1 is correct again.

CONFORMING TO
4.2BSD, POSIX.1-2001.

SEE ALSO
gettimeofday(2), time(2)